Transport List
General Description
The load-transports endpoint is used to retrieve the list of available transports in a user’s account, based on their vehicle access rights. The user can specify parameters to filter transports, such as their status or a specific search value.
This endpoint is subject to Rate Limit restrictions.
⚠️ All transport date/time fields in the response are recorded in the company’s time zone, not UTC. Ensure that transports are managed according to the company’s time zone settings when retrieved from the system.
⚠️ All requests to this endpoint must include the
api-version=2.0parameter in the URL.
URL:POST https://api.trackgps.ro/api/eTransport/load-transports?api-version=2.0
⚠️ Transports with the status “Error” shown in the mobile and web applications are not returned by this endpoint.
Request Parameters
Requests to this endpoint must be of type POST and include the following parameters:
-
Query parameter:
api-version(string, required) – The API version. Recommended value:2.0
-
Body (JSON):
{
"pageSize": 0,
"pageIndex": 0,
"statusIds": [
1
],
"searchValue": "string"
}| Parameter | Type | Required | Description |
|---|---|---|---|
| pageSize | number | No | Number of items returned per page. |
| pageIndex | number | No | Page index for the request. |
| statusIds | array | Yes | List of transport status IDs to filter by. |
| searchValue | string | No | Word or phrase to search in the transport list. |
Transport Status List
| Id | Description |
|---|---|
| 1 | Pending |
| 2 | In Progress |
| 3 | Completed |
| 4 | Auto Completed |
| 5 | Error |
| 6 | Paused |
Response Structure
{
"payload": {
"totalRecords": 0,
"transports": [
{
"uId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"carrierCode": "string",
"carrierName": "string",
"carrierUId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"trailer1Code": "string",
"trailer2Code": "string",
"codeUit": "string",
"statusId": 0,
"startDate": "2025-05-16T14:35:04.862Z",
"endDate": "2025-05-16T14:35:04.862Z",
"validityStartDate": "2025-05-16T14:35:04.862Z",
"validityEndDate": "2025-05-16T14:35:04.862Z",
"notes": "string",
"startLocation": "string",
"endLocation": "string",
"externalId": 0,
"externalResponse": "string",
"lastSyncDate": "2025-05-16T14:35:04.862Z",
"transmissionStatusCode": "string",
"transmissionStatusErrorDescription": "string",
"lastTransmissionDate": "2025-05-16T14:35:04.862Z",
"lastGpsDate": "2025-05-16T14:35:04.862Z",
"changeRequestMessage": "string",
"changeRequestStatusCode": "string",
"changeRequestCreatedAt": "2025-05-16T14:35:04.862Z",
"changeRequestDate": "2025-05-16T14:35:04.862Z",
"changeRequestAnafStatus": "string",
"changeRequestAnafMessage": "string",
"changeRequestAnafDate": "2025-05-16T14:35:04.862Z"
}
]
},
"correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"failureReasons": [
{
"errorCode": "string",
"errorParameters": [
"string"
]
}
],
"isSuccess": true
}Property Descriptions
| Property | Type | Description |
|---|---|---|
| payload | object | Object containing the returned transports and other relevant information. |
| totalRecords | number | Total number of available transports. |
| transports | array | List of available transports, each with specific details. |
| uId | string | Unique identifier of the transport. |
| carrierCode | string | Vehicle registration number used for transmitting location data to ANAF. |
| carrierName | string | Name of the vehicle used for transmitting location data to ANAF. |
| carrierUId | string | Unique identifier of the vehicle. |
| trailer1Code | string | Registration number for the first trailer. |
| trailer2Code | string | Registration number for the second trailer. |
| codeUit | string | UIT code generated by ANAF. |
| statusId | number | Transport status. |
| startDate | string | Start date and time of GPS data transmission to the ANAF platform. |
| endDate | string | End date and time of GPS data transmission to the ANAF platform. |
| validityStartDate | string | Start date of UIT code validity. This date is generated by the ANAF platform. |
| validityEndDate | string | End date of UIT code validity. This date is generated by the ANAF platform. |
| notes | string | Additional notes about the transport. |
| startLocation | string | Start location of the transport. |
| endLocation | string | End location of the transport. |
| externalId | number | Transport response identifier from the ANAF platform. |
| externalResponse | string | Response message from the ANAF platform for the transport. |
| lastSyncDate | string | Date when the transport was retrieved from the ANAF platform. |
| transmissionStatusCode | string | GPS data transmission status to the ANAF platform. |
| transmissionStatusErrorDescription | string | Error status description for GPS data transmission to the ANAF platform. |
| lastTransmissionDate | string | Date of the last GPS coordinate sent to the ANAF platform. |
| lastGpsDate | string | Date of the last GPS coordinate received from the vehicle. |
| changeRequestMessage | string | Response message for creating the transport data change request. |
| changeRequestStatusCode | string | Status of the transport data change request. |
| changeRequestCreatedAt | string | Date when the transport data change request was created. |
| changeRequestDate | string | Date when the response from the ANAF platform for the change request was received. |
| changeRequestAnafStatus | string | Status of the transport data change request received from the ANAF platform. |
| changeRequestAnafMessage | string | Response message for processing the transport data change request received from the ANAF platform. |
| changeRequestAnafDate | string | Date when the response from the ANAF platform for processing the change request was received. |
| correlationId | string | Request identifier for correlating responses. |
| failureReasons | array | List of error reasons (if any), with additional details. |
| isSuccess | boolean | Indicates whether the request was processed successfully (true) or not (false). |
GPS Data Transmission Status List in the ANAF Platform
| Code | Description |
|---|---|
Active |
Active transmission |
Finalized |
Transmission finalized |
NotInRomania |
Not on Romanian territory |
NotStarted |
Transmission pending |
Error |
Transmission error |
MissingETransportConfiguration |
e-Transport configuration error, please contact support |
OldData |
Data older than 6 hours |
NoGPSCoordinates |
No GPS signal |
WithoutTransmission |
No active GPS transmission |
Status List for Transport Data Change Requests
| Code | Description |
|---|---|
RequestCreated |
Request created |
RequestSent |
Request sent successfully |
RequestErrorSent |
Error sending request |
ResponseSuccess |
Request completed successfully |
ResponseError |
Request completed with error |
Error Responses
| HTTP Code | Description |
|---|---|
| 400 | Missing parameters or invalid structure. |
| 401 | Incorrect credentials or unauthorized user. |
| 429 | Rate limit exceeded for the user. |